Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.xml
Interface XMLSerializable

All Known Implementing Classes:
  Access, Content, Group, Role, SymbolTable, User

public interface XMLSerializable

XMLSerializable is the interface that must be implemented by XMLSerializable classes. XMLSerializable classes are those classes whose state can be retrieved and stored as XML DOM structures.

Method Summary
`void` | `streamFromXML(org.w3c.dom.Element element)` streamFromXML streams an object from XML.
`org.w3c.dom.Element` | `streamToXML(org.w3c.dom.Document doc)` streamToXML streams an object to XML.

Method Detail

### streamToXML

    public org.w3c.dom.Element streamToXML(org.w3c.dom.Document doc)
                                    throws org.w3c.dom.DOMException

  streamToXML streams an object to XML.

  Parameters:
    `doc` - The Owner Document
  Returns:
    A newly created Element
  Throws:
    `org.w3c.dom.DOMException` - If an error occurs

### streamFromXML

    public void streamFromXML(org.w3c.dom.Element element)
                       throws org.w3c.dom.DOMException

  streamFromXML streams an object from XML.

  Parameters:
    `element` - The Input Element
  Throws:
    `org.w3c.dom.DOMException` - If an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group